Bug 696723 - RPM doesn't create /var/run/dspam
Summary: RPM doesn't create /var/run/dspam
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dspam
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-14 17:58 UTC by Trever Adams
Modified: 2011-09-13 01:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 01:55:46 UTC


Attachments (Terms of Use)
tmpfile.d (36 bytes, text/plain)
2011-05-27 18:07 UTC, Trever Adams
no flags Details

Description Trever Adams 2011-04-14 17:58:34 UTC
Description of problem:
The RPM doesn't create /var/run/dspam. As the dspam.pid file goes here, this directory needs to be created with the appropriate permissions.

Version-Release number of selected component (if applicable):
dspam-3.9.0-19.fc15.x86_64

Comment 1 Trever Adams 2011-05-27 18:07:53 UTC
Created attachment 501355 [details]
tmpfile.d

The proper fix seems to be to have the RPM place this file in /etc/tmpfiles.d. Is it possible to get an RPM that has this so things work properly out of the box? Thank you.

Comment 2 Fedora Update System 2011-05-27 18:50:58 UTC
dspam-3.9.0-20.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dspam-3.9.0-20.fc15

Comment 3 Fedora Update System 2011-06-02 19:12:54 UTC
dspam-3.9.0-20.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.